// ID:编号, Type:任务类型, StartRank:开始排名, EndRank:结束排名, RewardItem:奖励道具, RewardCount:奖励数量, Limit:上榜限制

export default class Fish_ArenaRankingCFG {
  private static data =
      {"1":{"ID":1,"Type":1,"StartRank":1,"EndRank":1,"RewardItem":[27],"RewardCount":[10],"Limit":20000}

      ,"2":{"ID":2,"Type":1,"StartRank":2,"EndRank":2,"RewardItem":[27],"RewardCount":[6],"Limit":20000}

      ,"3":{"ID":3,"Type":1,"StartRank":3,"EndRank":3,"RewardItem":[27],"RewardCount":[3],"Limit":20000}

      ,"4":{"ID":4,"Type":1,"StartRank":4,"EndRank":5,"RewardItem":[27],"RewardCount":[2],"Limit":20000}

      ,"5":{"ID":5,"Type":1,"StartRank":6,"EndRank":10,"RewardItem":[27],"RewardCount":[1],"Limit":20000}

      ,"6":{"ID":6,"Type":2,"StartRank":1,"EndRank":1,"RewardItem":[96],"RewardCount":[10],"Limit":500000}

      }// ID:编号, Type:任务类型, StartRank:开始排名, EndRank:结束排名, RewardItem:奖励道具, RewardCount:奖励数量, Limit:上榜限制


    static getData(key: any): any {
        if (key == null || key == undefined)
            return null;
        return this.data[key];
    }

    static getAllData(): any {
        return this.data;
    }

}